{
    "packages": [
        {
            "name": "chillerlan/php-qrcode",
            "version": "5.0.4",
            "version_normalized": "5.0.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/chillerlan/php-qrcode.git",
                "reference": "390393e97a6e42ccae0e0d6205b8d4200f7ddc43"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/chillerlan/php-qrcode/zipball/390393e97a6e42ccae0e0d6205b8d4200f7ddc43",
                "reference": "390393e97a6e42ccae0e0d6205b8d4200f7ddc43",
                "shasum": ""
            },
            "require": {
                "chillerlan/php-settings-container": "^2.1.6 || ^3.2.1",
                "ext-mbstring": "*",
                "php": "^7.4 || ^8.0"
            },
            "require-dev": {
                "chillerlan/php-authenticator": "^4.3.1 || ^5.2.1",
                "ext-fileinfo": "*",
                "phan/phan": "^5.5.1",
                "phpcompatibility/php-compatibility": "10.x-dev",
                "phpmd/phpmd": "^2.15",
                "phpunit/phpunit": "^9.6",
                "setasign/fpdf": "^1.8.2",
                "slevomat/coding-standard": "^8.23.0",
                "squizlabs/php_codesniffer": "^4.0.0"
            },
            "suggest": {
                "chillerlan/php-authenticator": "Yet another Google authenticator! Also creates URIs for mobile apps.",
                "setasign/fpdf": "Required to use the QR FPDF output.",
                "simple-icons/simple-icons": "SVG icons that you can use to embed as logos in the QR Code"
            },
            "time": "2025-09-19T17:30:27+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "chillerlan\\QRCode\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT",
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Kazuhiko Arase",
                    "homepage": "https://github.com/kazuhikoarase/qrcode-generator"
                },
                {
                    "name": "ZXing Authors",
                    "homepage": "https://github.com/zxing/zxing"
                },
                {
                    "name": "Ashot Khanamiryan",
                    "homepage": "https://github.com/khanamiryan/php-qrcode-detector-decoder"
                },
                {
                    "name": "Smiley",
                    "email": "smiley@chillerlan.net",
                    "homepage": "https://github.com/codemasher"
                },
                {
                    "name": "Contributors",
                    "homepage": "https://github.com/chillerlan/php-qrcode/graphs/contributors"
                }
            ],
            "description": "A QR Code generator and reader with a user-friendly API. PHP 7.4+",
            "homepage": "https://github.com/chillerlan/php-qrcode",
            "keywords": [
                "phpqrcode",
                "qr",
                "qr code",
                "qr-reader",
                "qrcode",
                "qrcode-generator",
                "qrcode-reader"
            ],
            "support": {
                "docs": "https://php-qrcode.readthedocs.io",
                "issues": "https://github.com/chillerlan/php-qrcode/issues",
                "source": "https://github.com/chillerlan/php-qrcode"
            },
            "funding": [
                {
                    "url": "https://ko-fi.com/codemasher",
                    "type": "Ko-Fi"
                }
            ],
            "install-path": "../chillerlan/php-qrcode"
        },
        {
            "name": "chillerlan/php-settings-container",
            "version": "3.2.1",
            "version_normalized": "3.2.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/chillerlan/php-settings-container.git",
                "reference": "95ed3e9676a1d47cab2e3174d19b43f5dbf52681"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/chillerlan/php-settings-container/zipball/95ed3e9676a1d47cab2e3174d19b43f5dbf52681",
                "reference": "95ed3e9676a1d47cab2e3174d19b43f5dbf52681",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": "^8.1"
            },
            "require-dev": {
                "phpmd/phpmd": "^2.15",
                "phpstan/phpstan": "^1.11",
                "phpstan/phpstan-deprecation-rules": "^1.2",
                "phpunit/phpunit": "^10.5",
                "squizlabs/php_codesniffer": "^3.10"
            },
            "time": "2024-07-16T11:13:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "chillerlan\\Settings\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Smiley",
                    "email": "smiley@chillerlan.net",
                    "homepage": "https://github.com/codemasher"
                }
            ],
            "description": "A container class for immutable settings objects. Not a DI container.",
            "homepage": "https://github.com/chillerlan/php-settings-container",
            "keywords": [
                "Settings",
                "configuration",
                "container",
                "helper"
            ],
            "support": {
                "issues": "https://github.com/chillerlan/php-settings-container/issues",
                "source": "https://github.com/chillerlan/php-settings-container"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate?hosted_button_id=WLYUNAT9ZTJZ4",
                    "type": "custom"
                },
                {
                    "url": "https://ko-fi.com/codemasher",
                    "type": "ko_fi"
                }
            ],
            "install-path": "../chillerlan/php-settings-container"
        },
        {
            "name": "composer/pcre",
            "version": "3.3.2",
            "version_normalized": "3.3.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/composer/pcre.git",
                "reference": "b2bed4734f0cc156ee1fe9c0da2550420d99a21e"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/composer/pcre/zipball/b2bed4734f0cc156ee1fe9c0da2550420d99a21e",
                "reference": "b2bed4734f0cc156ee1fe9c0da2550420d99a21e",
                "shasum": ""
            },
            "require": {
                "php": "^7.4 || ^8.0"
            },
            "conflict": {
                "phpstan/phpstan": "<1.11.10"
            },
            "require-dev": {
                "phpstan/phpstan": "^1.12 || ^2",
                "phpstan/phpstan-strict-rules": "^1 || ^2",
                "phpunit/phpunit": "^8 || ^9"
            },
            "time": "2024-11-12T16:29:46+00:00",
            "type": "library",
            "extra": {
                "phpstan": {
                    "includes": [
                        "extension.neon"
                    ]
                },
                "branch-alias": {
                    "dev-main": "3.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Composer\\Pcre\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "http://seld.be"
                }
            ],
            "description": "PCRE wrapping library that offers type-safe preg_* replacements.",
            "keywords": [
                "PCRE",
                "preg",
                "regex",
                "regular expression"
            ],
            "support": {
                "issues": "https://github.com/composer/pcre/issues",
                "source": "https://github.com/composer/pcre/tree/3.3.2"
            },
            "funding": [
                {
                    "url": "https://packagist.com",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/composer",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/composer/composer",
                    "type": "tidelift"
                }
            ],
            "install-path": "./pcre"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.10.0",
            "version_normalized": "7.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "b51ac707cfa420b7bfd4e4d5e510ba8008e822b4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/b51ac707cfa420b7bfd4e4d5e510ba8008e822b4",
                "reference": "b51ac707cfa420b7bfd4e4d5e510ba8008e822b4",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^2.3",
                "guzzlehttp/psr7": "^2.8",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2 || ^3.0"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "ext-curl": "*",
                "guzzle/client-integration-tests": "3.0.2",
                "php-http/message-factory": "^1.1",
                "phpunit/phpunit": "^8.5.39 || ^9.6.20",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2025-08-23T22:36:01+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/7.10.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/guzzle",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "2.3.0",
            "version_normalized": "2.3.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "481557b130ef3790cf82b713667b43030dc9c957"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/481557b130ef3790cf82b713667b43030dc9c957",
                "reference": "481557b130ef3790cf82b713667b43030dc9c957",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "phpunit/phpunit": "^8.5.44 || ^9.6.25"
            },
            "time": "2025-08-22T14:34:08+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/2.3.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.8.0",
            "version_normalized": "2.8.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "21dc724a0583619cd1652f673303492272778051"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/21dc724a0583619cd1652f673303492272778051",
                "reference": "21dc724a0583619cd1652f673303492272778051",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.1 || ^2.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "http-interop/http-factory-tests": "0.9.0",
                "phpunit/phpunit": "^8.5.44 || ^9.6.25"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2025-08-23T21:21:41+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/2.8.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "maennchen/zipstream-php",
            "version": "3.1.2",
            "version_normalized": "3.1.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/maennchen/ZipStream-PHP.git",
                "reference": "aeadcf5c412332eb426c0f9b4485f6accba2a99f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maennchen/ZipStream-PHP/zipball/aeadcf5c412332eb426c0f9b4485f6accba2a99f",
                "reference": "aeadcf5c412332eb426c0f9b4485f6accba2a99f",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "ext-zlib": "*",
                "php-64bit": "^8.2"
            },
            "require-dev": {
                "brianium/paratest": "^7.7",
                "ext-zip": "*",
                "friendsofphp/php-cs-fixer": "^3.16",
                "guzzlehttp/guzzle": "^7.5",
                "mikey179/vfsstream": "^1.6",
                "php-coveralls/php-coveralls": "^2.5",
                "phpunit/phpunit": "^11.0",
                "vimeo/psalm": "^6.0"
            },
            "suggest": {
                "guzzlehttp/psr7": "^2.4",
                "psr/http-message": "^2.0"
            },
            "time": "2025-01-27T12:07:53+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "ZipStream\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paul Duncan",
                    "email": "pabs@pablotron.org"
                },
                {
                    "name": "Jonatan Männchen",
                    "email": "jonatan@maennchen.ch"
                },
                {
                    "name": "Jesse Donat",
                    "email": "donatj@gmail.com"
                },
                {
                    "name": "András Kolesár",
                    "email": "kolesar@kolesar.hu"
                }
            ],
            "description": "ZipStream is a library for dynamically streaming dynamic zip files from PHP without writing to the disk at all on the server.",
            "keywords": [
                "stream",
                "zip"
            ],
            "support": {
                "issues": "https://github.com/maennchen/ZipStream-PHP/issues",
                "source": "https://github.com/maennchen/ZipStream-PHP/tree/3.1.2"
            },
            "funding": [
                {
                    "url": "https://github.com/maennchen",
                    "type": "github"
                }
            ],
            "install-path": "../maennchen/zipstream-php"
        },
        {
            "name": "markbaker/complex",
            "version": "3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/MarkBaker/PHPComplex.git",
                "reference": "95c56caa1cf5c766ad6d65b6344b807c1e8405b9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/MarkBaker/PHPComplex/zipball/95c56caa1cf5c766ad6d65b6344b807c1e8405b9",
                "reference": "95c56caa1cf5c766ad6d65b6344b807c1e8405b9",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "require-dev": {
                "dealerdirect/phpcodesniffer-composer-installer": "dev-master",
                "phpcompatibility/php-compatibility": "^9.3",
                "phpunit/phpunit": "^7.0 || ^8.0 || ^9.0",
                "squizlabs/php_codesniffer": "^3.7"
            },
            "time": "2022-12-06T16:21:08+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Complex\\": "classes/src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Mark Baker",
                    "email": "mark@lange.demon.co.uk"
                }
            ],
            "description": "PHP Class for working with complex numbers",
            "homepage": "https://github.com/MarkBaker/PHPComplex",
            "keywords": [
                "complex",
                "mathematics"
            ],
            "support": {
                "issues": "https://github.com/MarkBaker/PHPComplex/issues",
                "source": "https://github.com/MarkBaker/PHPComplex/tree/3.0.2"
            },
            "install-path": "../markbaker/complex"
        },
        {
            "name": "markbaker/matrix",
            "version": "3.0.1",
            "version_normalized": "3.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/MarkBaker/PHPMatrix.git",
                "reference": "728434227fe21be27ff6d86621a1b13107a2562c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/MarkBaker/PHPMatrix/zipball/728434227fe21be27ff6d86621a1b13107a2562c",
                "reference": "728434227fe21be27ff6d86621a1b13107a2562c",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "dealerdirect/phpcodesniffer-composer-installer": "dev-master",
                "phpcompatibility/php-compatibility": "^9.3",
                "phpdocumentor/phpdocumentor": "2.*",
                "phploc/phploc": "^4.0",
                "phpmd/phpmd": "2.*",
                "phpunit/phpunit": "^7.0 || ^8.0 || ^9.0",
                "sebastian/phpcpd": "^4.0",
                "squizlabs/php_codesniffer": "^3.7"
            },
            "time": "2022-12-02T22:17:43+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Matrix\\": "classes/src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Mark Baker",
                    "email": "mark@demon-angel.eu"
                }
            ],
            "description": "PHP Class for working with matrices",
            "homepage": "https://github.com/MarkBaker/PHPMatrix",
            "keywords": [
                "mathematics",
                "matrix",
                "vector"
            ],
            "support": {
                "issues": "https://github.com/MarkBaker/PHPMatrix/issues",
                "source": "https://github.com/MarkBaker/PHPMatrix/tree/3.0.1"
            },
            "install-path": "../markbaker/matrix"
        },
        {
            "name": "phpoffice/phpspreadsheet",
            "version": "5.2.0",
            "version_normalized": "5.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPOffice/PhpSpreadsheet.git",
                "reference": "3b8994b3aac4b61018bc04fc8c441f4fd68c18eb"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPOffice/PhpSpreadsheet/zipball/3b8994b3aac4b61018bc04fc8c441f4fd68c18eb",
                "reference": "3b8994b3aac4b61018bc04fc8c441f4fd68c18eb",
                "shasum": ""
            },
            "require": {
                "composer/pcre": "^1||^2||^3",
                "ext-ctype": "*",
                "ext-dom": "*",
                "ext-fileinfo": "*",
                "ext-gd": "*",
                "ext-iconv": "*",
                "ext-libxml": "*",
                "ext-mbstring": "*",
                "ext-simplexml": "*",
                "ext-xml": "*",
                "ext-xmlreader": "*",
                "ext-xmlwriter": "*",
                "ext-zip": "*",
                "ext-zlib": "*",
                "maennchen/zipstream-php": "^2.1 || ^3.0",
                "markbaker/complex": "^3.0",
                "markbaker/matrix": "^3.0",
                "php": "^8.1",
                "psr/http-client": "^1.0",
                "psr/http-factory": "^1.0",
                "psr/simple-cache": "^1.0 || ^2.0 || ^3.0"
            },
            "require-dev": {
                "dealerdirect/phpcodesniffer-composer-installer": "dev-main",
                "dompdf/dompdf": "^2.0 || ^3.0",
                "friendsofphp/php-cs-fixer": "^3.2",
                "mitoteam/jpgraph": "^10.5",
                "mpdf/mpdf": "^8.1.1",
                "phpcompatibility/php-compatibility": "^9.3",
                "phpstan/phpstan": "^1.1 || ^2.0",
                "phpstan/phpstan-deprecation-rules": "^1.0 || ^2.0",
                "phpstan/phpstan-phpunit": "^1.0 || ^2.0",
                "phpunit/phpunit": "^10.5",
                "squizlabs/php_codesniffer": "^3.7",
                "tecnickcom/tcpdf": "^6.5"
            },
            "suggest": {
                "dompdf/dompdf": "Option for rendering PDF with PDF Writer",
                "ext-intl": "PHP Internationalization Functions, regquired for NumberFormat Wizard",
                "mitoteam/jpgraph": "Option for rendering charts, or including charts with PDF or HTML Writers",
                "mpdf/mpdf": "Option for rendering PDF with PDF Writer",
                "tecnickcom/tcpdf": "Option for rendering PDF with PDF Writer"
            },
            "time": "2025-10-26T15:54:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "PhpOffice\\PhpSpreadsheet\\": "src/PhpSpreadsheet"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Maarten Balliauw",
                    "homepage": "https://blog.maartenballiauw.be"
                },
                {
                    "name": "Mark Baker",
                    "homepage": "https://markbakeruk.net"
                },
                {
                    "name": "Franck Lefevre",
                    "homepage": "https://rootslabs.net"
                },
                {
                    "name": "Erik Tilt"
                },
                {
                    "name": "Adrien Crivelli"
                }
            ],
            "description": "PHPSpreadsheet - Read, Create and Write Spreadsheet documents in PHP - Spreadsheet engine",
            "homepage": "https://github.com/PHPOffice/PhpSpreadsheet",
            "keywords": [
                "OpenXML",
                "excel",
                "gnumeric",
                "ods",
                "php",
                "spreadsheet",
                "xls",
                "xlsx"
            ],
            "support": {
                "issues": "https://github.com/PHPOffice/PhpSpreadsheet/issues",
                "source": "https://github.com/PHPOffice/PhpSpreadsheet/tree/5.2.0"
            },
            "install-path": "../phpoffice/phpspreadsheet"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.3",
            "version_normalized": "1.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-client.git",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-client/zipball/bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "shasum": ""
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-09-23T14:17:50+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-client"
            },
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.1.0",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-factory.git",
                "reference": "2b4765fddfe3b508ac62f829e852b1501d3f6e8a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-factory/zipball/2b4765fddfe3b508ac62f829e852b1501d3f6e8a",
                "reference": "2b4765fddfe3b508ac62f829e852b1501d3f6e8a",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2024-04-15T12:06:14+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "PSR-17: Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-factory"
            },
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "2.0",
            "version_normalized": "2.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "402d35bcb92c70c026d1a6a9883f06b2ead23d71"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/402d35bcb92c70c026d1a6a9883f06b2ead23d71",
                "reference": "402d35bcb92c70c026d1a6a9883f06b2ead23d71",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:54:51+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/2.0"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/simple-cache",
            "version": "3.0.0",
            "version_normalized": "3.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/simple-cache.git",
                "reference": "764e0b3939f5ca87cb904f570ef9be2d78a07865"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/764e0b3939f5ca87cb904f570ef9be2d78a07865",
                "reference": "764e0b3939f5ca87cb904f570ef9be2d78a07865",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2021-10-29T13:26:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\SimpleCache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for simple caching",
            "keywords": [
                "cache",
                "caching",
                "psr",
                "psr-16",
                "simple-cache"
            ],
            "support": {
                "source": "https://github.com/php-fig/simple-cache/tree/3.0.0"
            },
            "install-path": "../psr/simple-cache"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v3.6.0",
            "version_normalized": "3.6.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "63afe740e99a13ba87ec199bb07bbdee937a5b62"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/63afe740e99a13ba87ec199bb07bbdee937a5b62",
                "reference": "63afe740e99a13ba87ec199bb07bbdee937a5b62",
                "shasum": ""
            },
            "require": {
                "php": ">=8.1"
            },
            "time": "2024-09-25T14:21:43+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/contracts",
                    "name": "symfony/contracts"
                },
                "branch-alias": {
                    "dev-main": "3.6-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v3.6.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "tecnickcom/tc-lib-barcode",
            "version": "2.4.8",
            "version_normalized": "2.4.8.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-barcode.git",
                "reference": "f238ffd120d98a34df6573590e7ed02f766a91c4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-barcode/zipball/f238ffd120d98a34df6573590e7ed02f766a91c4",
                "reference": "f238ffd120d98a34df6573590e7ed02f766a91c4",
                "shasum": ""
            },
            "require": {
                "ext-bcmath": "*",
                "ext-date": "*",
                "ext-gd": "*",
                "ext-pcre": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-color": "^2.2"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T11:35:02+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Barcode\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library to generate linear and bidimensional barcodes",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "3 of 9",
                "ANSI MH10.8M-1983",
                "CBC",
                "CODABAR",
                "CODE 11",
                "CODE 128 A B C",
                "CODE 39",
                "CODE 93",
                "EAN 13",
                "EAN 8",
                "ECC200",
                "ISO IEC 15438 2006",
                "ISO IEC 16022",
                "ISO IEC 24778 2008",
                "Intelligent Mail Barcode",
                "Interleaved 2 of 5",
                "KIX",
                "Klant",
                "MSI",
                "Onecode",
                "PHARMACODE",
                "PHARMACODE TWO-TRACKS",
                "POSTNET",
                "RMS4CC",
                "Standard 2 of 5",
                "UPC-A",
                "UPC-E",
                "USD-3",
                "USPS-B-3200",
                "USS-93",
                "aztec",
                "barcode",
                "datamatrix",
                "pdf417",
                "planet",
                "qr-code",
                "royal mail",
                "tc-lib-barcode",
                "upc"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-barcode/issues",
                "source": "https://github.com/tecnickcom/tc-lib-barcode/tree/2.4.8"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-barcode"
        },
        {
            "name": "tecnickcom/tc-lib-color",
            "version": "2.2.13",
            "version_normalized": "2.2.13.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-color.git",
                "reference": "85d1366fb33813aa521d30e3d7c7d7d82a8103a6"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-color/zipball/85d1366fb33813aa521d30e3d7c7d7d82a8103a6",
                "reference": "85d1366fb33813aa521d30e3d7c7d7d82a8103a6",
                "shasum": ""
            },
            "require": {
                "ext-pcre": "*",
                "php": ">=8.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T11:33:19+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Color\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library to manipulate various color representations",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "cmyk",
                "color",
                "colors",
                "colour",
                "colours",
                "hsl",
                "hsla",
                "javascript",
                "rgb",
                "rgba",
                "tc-lib-color",
                "web"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-color/issues",
                "source": "https://github.com/tecnickcom/tc-lib-color/tree/2.2.13"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-color"
        },
        {
            "name": "tecnickcom/tc-lib-file",
            "version": "2.2.2",
            "version_normalized": "2.2.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-file.git",
                "reference": "ec6989700b77baa8a8d88952ad4fd8f53211c370"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-file/zipball/ec6989700b77baa8a8d88952ad4fd8f53211c370",
                "reference": "ec6989700b77baa8a8d88952ad4fd8f53211c370",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "ext-pcre": "*",
                "php": ">=8.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T11:33:32+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\File\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library to read byte-level data from files",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "Double",
                "bit",
                "byte",
                "file",
                "long",
                "read",
                "short",
                "tc-lib-file"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-file/issues",
                "source": "https://github.com/tecnickcom/tc-lib-file/tree/2.2.2"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-file"
        },
        {
            "name": "tecnickcom/tc-lib-pdf",
            "version": "8.1.5",
            "version_normalized": "8.1.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf.git",
                "reference": "b4f3b51aa0f2aa4452fa3cb1458ee6c8ba15c0dd"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf/zipball/b4f3b51aa0f2aa4452fa3cb1458ee6c8ba15c0dd",
                "reference": "b4f3b51aa0f2aa4452fa3cb1458ee6c8ba15c0dd",
                "shasum": ""
            },
            "require": {
                "ext-date": "*",
                "ext-pcre": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-barcode": "^2.4",
                "tecnickcom/tc-lib-color": "^2.2",
                "tecnickcom/tc-lib-file": "^2.2",
                "tecnickcom/tc-lib-pdf-encrypt": "^2.1",
                "tecnickcom/tc-lib-pdf-font": "^2.6",
                "tecnickcom/tc-lib-pdf-graph": "^2.3",
                "tecnickcom/tc-lib-pdf-image": "^2.1",
                "tecnickcom/tc-lib-pdf-page": "^4.2",
                "tecnickcom/tc-lib-unicode": "^2.0",
                "tecnickcom/tc-lib-unicode-data": "^2.0"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-21T09:05:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP PDF Library",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "PDFD32000-2008",
                "TCPDF",
                "document",
                "pdf",
                "tc-lib-pdf"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf/tree/8.1.5"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf"
        },
        {
            "name": "tecnickcom/tc-lib-pdf-encrypt",
            "version": "2.1.16",
            "version_normalized": "2.1.16.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf-encrypt.git",
                "reference": "4e154df154e586523033187dfc54a2a8e113a7db"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf-encrypt/zipball/4e154df154e586523033187dfc54a2a8e113a7db",
                "reference": "4e154df154e586523033187dfc54a2a8e113a7db",
                "shasum": ""
            },
            "require": {
                "ext-date": "*",
                "ext-hash": "*",
                "ext-openssl": "*",
                "ext-pcre": "*",
                "php": ">=8.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "suggest": {
                "ext-posix": "*"
            },
            "time": "2025-06-06T11:33:45+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\Encrypt\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library to encrypt data for PDF",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "aes",
                "encrypt",
                "encryption",
                "pdf",
                "rc4",
                "tc-lib-pdf-encrypt"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf-encrypt/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf-encrypt/tree/2.1.16"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf-encrypt"
        },
        {
            "name": "tecnickcom/tc-lib-pdf-font",
            "version": "2.6.12",
            "version_normalized": "2.6.12.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf-font.git",
                "reference": "961ddeb8f02c7186e9efcf37693cbd1f21af1dc1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf-font/zipball/961ddeb8f02c7186e9efcf37693cbd1f21af1dc1",
                "reference": "961ddeb8f02c7186e9efcf37693cbd1f21af1dc1",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "ext-pcre": "*",
                "ext-zlib": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-file": "^2.2",
                "tecnickcom/tc-lib-pdf-encrypt": "^2.1",
                "tecnickcom/tc-lib-unicode-data": "^2.0"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T12:19:35+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\Font\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing PDF page formats and definitions",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "PFB",
                "afm",
                "font",
                "import",
                "pdf",
                "tc-lib-pdf-font",
                "ttf"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf-font/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf-font/tree/2.6.12"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf-font"
        },
        {
            "name": "tecnickcom/tc-lib-pdf-graph",
            "version": "2.3.2",
            "version_normalized": "2.3.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf-graph.git",
                "reference": "2125360e68abc1f0fba25e0de2f8f8df9aba4d41"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf-graph/zipball/2125360e68abc1f0fba25e0de2f8f8df9aba4d41",
                "reference": "2125360e68abc1f0fba25e0de2f8f8df9aba4d41",
                "shasum": ""
            },
            "require": {
                "ext-zlib": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-color": "^2.2",
                "tecnickcom/tc-lib-pdf-encrypt": "^2.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T12:18:34+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\Graph\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing PDF graphic and geometric methods",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "geometry",
                "graphic",
                "pdf",
                "tc-lib-pdf-graph",
                "transformation"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf-graph/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf-graph/tree/2.3.2"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf-graph"
        },
        {
            "name": "tecnickcom/tc-lib-pdf-image",
            "version": "2.1.14",
            "version_normalized": "2.1.14.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf-image.git",
                "reference": "f9bc757b3fe3b8d675ae993404048cceeb037417"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf-image/zipball/f9bc757b3fe3b8d675ae993404048cceeb037417",
                "reference": "f9bc757b3fe3b8d675ae993404048cceeb037417",
                "shasum": ""
            },
            "require": {
                "ext-gd": "*",
                "ext-zlib": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-color": "^2.2",
                "tecnickcom/tc-lib-file": "^2.2",
                "tecnickcom/tc-lib-pdf-encrypt": "^2.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T12:18:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\Image\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing PDF Image methods",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "image",
                "jpeg",
                "jpg",
                "pdf",
                "png",
                "tc-lib-pdf-image"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf-image/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf-image/tree/2.1.14"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf-image"
        },
        {
            "name": "tecnickcom/tc-lib-pdf-page",
            "version": "4.2.12",
            "version_normalized": "4.2.12.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-pdf-page.git",
                "reference": "c446d399372df775c5f8c3a5cfc30e85bfb6c102"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-pdf-page/zipball/c446d399372df775c5f8c3a5cfc30e85bfb6c102",
                "reference": "c446d399372df775c5f8c3a5cfc30e85bfb6c102",
                "shasum": ""
            },
            "require": {
                "ext-date": "*",
                "ext-zlib": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-color": "^2.2",
                "tecnickcom/tc-lib-pdf-encrypt": "^2.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T12:18:18+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Pdf\\Page\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing PDF page formats and definitions",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "format",
                "page",
                "pdf",
                "tc-lib-pdf-page"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-pdf-page/issues",
                "source": "https://github.com/tecnickcom/tc-lib-pdf-page/tree/4.2.12"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-pdf-page"
        },
        {
            "name": "tecnickcom/tc-lib-unicode",
            "version": "2.0.25",
            "version_normalized": "2.0.25.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-unicode.git",
                "reference": "9165ea29a46a38938097377b3ec518e0fd0a8092"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-unicode/zipball/9165ea29a46a38938097377b3ec518e0fd0a8092",
                "reference": "9165ea29a46a38938097377b3ec518e0fd0a8092",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "ext-pcre": "*",
                "php": ">=8.1",
                "tecnickcom/tc-lib-unicode-data": "^2.0"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T12:18:03+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Unicode\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing Unicode methods",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "font",
                "pdf",
                "tc-lib-unicode",
                "unicode",
                "utf-8"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-unicode/issues",
                "source": "https://github.com/tecnickcom/tc-lib-unicode/tree/2.0.25"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-unicode"
        },
        {
            "name": "tecnickcom/tc-lib-unicode-data",
            "version": "2.0.24",
            "version_normalized": "2.0.24.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/tc-lib-unicode-data.git",
                "reference": "cc0ac553b70ecfda9ffeda71ca2f490bfaff5036"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/tc-lib-unicode-data/zipball/cc0ac553b70ecfda9ffeda71ca2f490bfaff5036",
                "reference": "cc0ac553b70ecfda9ffeda71ca2f490bfaff5036",
                "shasum": ""
            },
            "require": {
                "php": ">=8.1"
            },
            "require-dev": {
                "pdepend/pdepend": "2.16.2",
                "phpmd/phpmd": "2.15.0",
                "phpunit/phpunit": "12.2.0 || 11.5.7 || 10.5.40",
                "squizlabs/php_codesniffer": "3.13.0"
            },
            "time": "2025-06-06T11:34:15+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Com\\Tecnick\\Unicode\\Data\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "PHP library containing Unicode definitions",
            "homepage": "http://www.tecnick.com",
            "keywords": [
                "font",
                "pdf",
                "tc-lib-unicode-data",
                "unicode",
                "utf-8"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/tc-lib-unicode-data/issues",
                "source": "https://github.com/tecnickcom/tc-lib-unicode-data/tree/2.0.24"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tc-lib-unicode-data"
        },
        {
            "name": "tecnickcom/tcpdf",
            "version": "6.10.0",
            "version_normalized": "6.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/tecnickcom/TCPDF.git",
                "reference": "ca5b6de294512145db96bcbc94e61696599c391d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/tecnickcom/TCPDF/zipball/ca5b6de294512145db96bcbc94e61696599c391d",
                "reference": "ca5b6de294512145db96bcbc94e61696599c391d",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "php": ">=7.1.0"
            },
            "time": "2025-05-27T18:02:28+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "classmap": [
                    "config",
                    "include",
                    "tcpdf.php",
                    "tcpdf_barcodes_1d.php",
                    "tcpdf_barcodes_2d.php",
                    "include/tcpdf_colors.php",
                    "include/tcpdf_filters.php",
                    "include/tcpdf_font_data.php",
                    "include/tcpdf_fonts.php",
                    "include/tcpdf_images.php",
                    "include/tcpdf_static.php",
                    "include/barcodes/datamatrix.php",
                    "include/barcodes/pdf417.php",
                    "include/barcodes/qrcode.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-3.0-or-later"
            ],
            "authors": [
                {
                    "name": "Nicola Asuni",
                    "email": "info@tecnick.com",
                    "role": "lead"
                }
            ],
            "description": "TCPDF is a PHP class for generating PDF documents and barcodes.",
            "homepage": "http://www.tcpdf.org/",
            "keywords": [
                "PDFD32000-2008",
                "TCPDF",
                "barcodes",
                "datamatrix",
                "pdf",
                "pdf417",
                "qrcode"
            ],
            "support": {
                "issues": "https://github.com/tecnickcom/TCPDF/issues",
                "source": "https://github.com/tecnickcom/TCPDF/tree/6.10.0"
            },
            "funding": [
                {
                    "url": "https://www.paypal.com/donate/?hosted_button_id=NZUEC5XS8MFBJ",
                    "type": "custom"
                }
            ],
            "install-path": "../tecnickcom/tcpdf"
        },
        {
            "name": "twbs/bootstrap",
            "version": "v4.6.2",
            "version_normalized": "4.6.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/twbs/bootstrap.git",
                "reference": "e5643aaa89eb67327a5b4abe7db976f0ea276b70"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/twbs/bootstrap/zipball/e5643aaa89eb67327a5b4abe7db976f0ea276b70",
                "reference": "e5643aaa89eb67327a5b4abe7db976f0ea276b70",
                "shasum": ""
            },
            "replace": {
                "twitter/bootstrap": "self.version"
            },
            "time": "2022-07-19T15:13:44+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.3.x-dev"
                }
            },
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Mark Otto",
                    "email": "markdotto@gmail.com"
                },
                {
                    "name": "Jacob Thornton",
                    "email": "jacobthornton@gmail.com"
                }
            ],
            "description": "The most popular front-end framework for developing responsive, mobile first projects on the web.",
            "homepage": "https://getbootstrap.com/",
            "keywords": [
                "JS",
                "css",
                "framework",
                "front-end",
                "mobile-first",
                "responsive",
                "sass",
                "web"
            ],
            "support": {
                "issues": "https://github.com/twbs/bootstrap/issues",
                "source": "https://github.com/twbs/bootstrap/tree/v4.6.2"
            },
            "install-path": "../twbs/bootstrap"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
